Subject: [SWIPL] Getting Started with SWI

From: Steve Prior <[email-masked]>
Date: Sun, 16 Sep 2001 17:22:04 -0400

I haven't used Prolog in quite a while, but wanted to play a bit with
SWI.  I've got it installed and am trying to do the classic hello world
type program for Prolog - friends(X,Z).

In SWI, is it possible to type new predicate definitions on the
interactive command
line or do you HAVE to load them from a file?  I typed:

?- friends(X,Z):-
|      friends(X,Y),
|      friends(Y,Z).
ERROR: Undefined procedure: (:-)/2
?-

Would someone mind bootstrapping me and telling me what I'm missing?

Thanks
Steve Prior